Warm List

DELETE /public/v1/warmlist/{workspaceId}/prospects

Delete warmlist prospects by ID list or by filter (selectAll). When selectAll is true, engagementType is required.

DELETE /public/v1/warmlist/{workspaceId}/prospects

DELETE /public/v1/warmlist/{workspaceId}/prospects

curl --request DELETE \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/prospects' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "total_deleted": 1,
    "total_requested": 1
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Request Body

application/json
  • prospectIds[] string array

    Specific prospect IDs to delete.

  • selectAll boolean

    Delete all prospects matching the filters below.

  • engagementType string

    Required when selectAll is true. One of: NEW_FOLLOWERS, PROFILE_VIEWERS, POST_ENGAGEMENTS.

  • monitoredProfileId string

    Only for POST_ENGAGEMENTS.

  • postId string

    Only for POST_ENGAGEMENTS.

  • postEngagementType string

    COMMENT or REACTION. Only for POST_ENGAGEMENTS.

  • icpFit[] string array

    Filter by ICP fit: LOW, MEDIUM, HIGH.

  • profilePrivacy string

    "open" or "closed".

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • total_deleted number
    • total_requested number